Mailinglist Archive: opensuse-bugs (4510 mails)

< Previous Next >
[Bug 578053] postgresql-plperl looks for libperl.so in the wrong place
  • From: bugzilla_noreply@xxxxxxxxxx
  • Date: Tue, 09 Feb 2016 17:57:51 +0000
  • Message-id: <bug-578053-21960-8NXQbAo6Um@http.bugzilla.suse.com/>
http://bugzilla.suse.com/show_bug.cgi?id=578053
http://bugzilla.suse.com/show_bug.cgi?id=578053#c9

Reinhard Max <max@xxxxxxxx> changed:

What |Removed |Added
----------------------------------------------------------------------------
Status|REOPENED |CONFIRMED

--- Comment #9 from Reinhard Max <max@xxxxxxxx> ---
The fix was to keep PostgreSQL's autoconf scripts from removing the rpath part
from the linker options that were obtained from the current Perl installation.

For the old patch, see
https://build.opensuse.org/package/view_file/server:database:postgresql/postgresql94/postgresql-plperl.patch?expand=1&rev=d24f55ea629cda6308a83136f7fc6ae5

Unfortunately I misremembered the patch as being a build fix when packaging
PostgreSQL 9.4 in Feb 2015 and thought it wasn't needed anymore, because the
package still built without it, so I removed it.

I will re-introduce it next time I have to touch PostgreSQL 9.4 and will leave
a comment in the patch and spec file to prevent accidental removals in the
future.

--
You are receiving this mail because:
You are on the CC list for the bug.
< Previous Next >